/// <reference types="node" />
export declare function readFileToBuffer(path: string): Promise<Buffer>;
export declare function readFile(path: string): Promise<string>;
export declare function writeFile(path: string, content: string | Buffer): Promise<void>;
export declare function unlink(path: string): Promise<void>;
export declare function unlinks(paths: string[]): Promise<void>;
export declare function unlinkIfExists(path: string): Promise<boolean>;
export interface TmpFilePathOptions {
    ext?: string;
    dirSuffix?: string;
    /**
     * @default 16
     */
    filnameLength?: number;
}
export declare function getTmpFilePath(ext?: string): Promise<string>;
export declare function getTmpFilePath(options?: TmpFilePathOptions): Promise<string>;
export declare function isExecutable(path: string): Promise<boolean>;
export declare function makeExecutable(path: string, _chmod?: string): Promise<void>;
